Modbot Docs
APIAPI referenceDiscord

List Discord routes

GET/api/discord/routes

Every route, in list order, with the event types that may be chosen (grouped, labelled), the group's VRChat roles as last read, Modbot's roles, and names for the people routes already name.

Needs the ManageSettings permission.

AuthorizationBearer <token>

An API key, made on Settings, API keys. Every key starts with mbk_.

In: header

Response Body

application/json

application/problem+json

application/problem+json

curl -X GET "https://example.com/api/discord/routes"
{  "routes": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": null,      "channelId": "string",      "enabled": true,      "eventTypes": [        "string"      ],      "subjectIds": [        "string"      ],      "subjectDiscordIds": [        "string"      ],      "actorIds": [        "string"      ],      "actorDiscordIds": [        "string"      ],      "actorAutomatic": true,      "subjectVRChatRoleIds": [        "string"      ],      "actorVRChatRoleIds": [        "string"      ],      "actorModbotRoleIds": [        "29fdf8c8-98dd-48d9-89e8-7382e935877c"      ]    }  ],  "eventGroups": [    {      "name": "string",      "types": [        {          "type": "string",          "label": "string"        }      ]    }  ],  "vrChatRoles": [    {      "id": "string",      "name": "string"    }  ],  "modbotRoles": [    {      "id": "string",      "name": "string"    }  ],  "people": [    {      "id": "string",      "name": null,      "pictureUrl": null,      "platform": "vrchat"    }  ]}

Modbot is not endorsed by or affiliated with VRChat Inc. or Discord Inc. VRChat is a trademark of VRChat Inc. Discord is a trademark of Discord Inc. SteamVR is a trademark of Valve Corporation. Windows is a trademark of Microsoft Corporation. Docker is a trademark of Docker, Inc. PostgreSQL is a trademark of the PostgreSQL Community Association of Canada. Railway is a trademark of Railway Corp. Other names are trademarks of their respective owners; see Legal. Modbot and its logo are trademarks of the Modbot project. Open source under AGPL-3.0.